## blends 0.6.6ubuntu1

=== devtools/Makefile ===
#!/usr/bin/make -f

# This Makefile is used to build a debian/control file
# for a Debian Pure Blend.
#
# Copyright (C) Andreas Tille <tille@debian.org>
# License: GPL

# TARGET_DIST is one of stable, sarge, etch, unstable, or any other available
# sources.list file available
TARGET_DIST := $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
BLEND := $(shell /usr/share/blends-dev/blend-get-names blendname)
GENCONTROL := /usr/share/blends-dev/blend-gen-control

# Verify whether config/control exists, if yes, add it to the depends of debian/control
CONFIGCONTROL := $(shell if [ -d config -a -e config/control ] ; then echo config/control; fi)

all: $(BLEND)-tasks.desc debian/control

debian/control: debian/control.stub debian/changelog tasks/* $(CONFIGCONTROL)
	(export LC_ALL=C;\
	 echo "# This file is autogenerated via "make -f debian/rules dist".  Do not edit!"; \
	 cat debian/control.stub; \
	 test -f config/control && ( cat config/control; echo ) ; \
	$(GENCONTROL) -s $(TARGET_DIST) -S -D -c -m -i -A) > $@.new && mv $@.new $@

tasksel: $(BLEND)-tasks.desc
$(BLEND)-tasks.desc: tasks/* debian/changelog
	LC_ALL=C $(GENCONTROL) -s $(TARGET_DIST) -S -t -A > $(BLEND)-tasks.desc.new && mv $(BLEND)-tasks.desc.new $(BLEND)-tasks.desc

packages.txt: tasks/*
	$(GENCONTROL) -s $(TARGET_DIST) -a > packages.txt.$$$$ && mv packages.txt.$$$$ packages.txt

avoidpackages.txt: tasks/* sources.list.$(TARGET_DIST)
	$(GENCONTROL) -s $(TARGET_DIST) -e > avoidpackages.txt.$$$$ && mv avoidpackages.txt.$$$$ avoidpackages.txt

by_vote:
	rm -f by_vote
	wget http://developer.skolelinux.no/popcon/by_vote

packages-sorted.txt: packages.txt by_vote
	for pkg in `cat packages.txt` ; do \
		grep " $$pkg " by_vote ; \
	done | LANG=C sort -r -n -k 4 -k 3 > packages-sorted.txt
usage: packages-sorted.txt

clean: 
	rm -rf tmp
	rm -f tasks/*~
	rm -rf tasksel
	rm -f packages.txt by_vote packages-sorted.txt

distclean: clean

proper: distclean
	rm -f debian/control
	rm -f $(BLEND)-tasks.desc

dist: $(BLEND)-tasks.desc debian/control
	make -f debian/rules get-orig-source

=== debian/changelog ===
blends (0.6.6ubuntu1) karmic; urgency=low

  * Add sources.list.karmic so blends can be built for Ubuntu Karmic

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Aug 2009 11:23:01 -0400

blends (0.6.6) unstable; urgency=low

  * Fixing some links in the documentation which is addressed by bug
    #542385 but this bug is not solved by package upload but rather by
    updating the doc on the website
  * blends-common.preinst: Do not create config files from Blends
    guessing from old CDD configuration file.  The former behaviour to
    pre-build those config files leaded to #542656 and #542658.
  * Removed debian/changelog.med-common because there is no point in
    providing this now 5 year old file for ever.
  * Standards-Version: 3.8.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Aug 2009 14:24:50 +0200

blends (0.6.5) unstable; urgency=low

  * remove minor debugging code from debian/rules
  * debian/blends-dev.preinst: make sure there are really
    old sources.list files to copy before trying to do this
    Closes: #540603

 -- Andreas Tille <tille@debian.org>  Sun, 09 Aug 2009 07:48:39 +0200

blends (0.6.4) unstable; urgency=low

  * devtools/blend-get-names: Enable Blends without prefix "debian-"
    (brdesktop, debichem)
  * Standards-Version: 3.8.2 (no changes needed)
  * Move to debhelper 7 short rules file when building Blends
  * Provide also sources.list.UNRELEASED to enable test builds
  * debian/rules: drop -k option from dh_clean
  * devtools/Makefile: Do not use distclean as target to remove
    automatically created control and tasksel file but rather
    the proper target.  Rationale: dh_clean calls make distclean
    which would remove debian/control which has to be prevented
    for sure.

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jul 2009 10:40:04 +0200

blends (0.6.3) unstable; urgency=low

  * Section for cdd-common misc instead of devel
  * Updated mailing list address of Debian Pure Blends team
  * devtools/blends-gen-control: 
     - If a task lists not a single package which is available in
       the target distribution the metapackage will be suppressed
       if option '-S' is set; there is one exception which is needed
       by Debian Edu: If Test-always-lang is set also empty tasks
       might be created
     - Prevent Suggestion of non policy conform package names
       containing upper case letters
  * devtools/Makefile:
    - Use -S option of blends-gen-control to not create
      metapackages with not a single available package
    - Set LC_ALL=C to prevent blends-gen-control from loading
      description translation files according to users environment

 -- Andreas Tille <tille@debian.org>  Fri, 10 Apr 2009 21:26:00 +0200

blends (0.6.2) unstable; urgency=low

  * Bumped policy to 3.8.1 and make use of the new feature that
    debian/control allows comment lines starting with # with no
    preceding whitespace. [Policy paragraph 5.2]
  * Fixed Vcs tags (s/cdd/blends/)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Apr 2009 09:16:07 +0200

blends (0.6.1) experimental; urgency=low

  * Add sources.list.experimental
  * debian/rules: variable for package name
  * Remove explicite path /usr/sbin/ from blend-update-menus in
    templates/post{inst,rm} because lintian warns about it in the
    Blend metapackages according to Debian Policy Manual section
    6.1.
  * more elegant method to obtain package version from changelog

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jan 2009 19:30:53 +0100

blends (0.6.0) experimental; urgency=low

  * The great renaming:  The confusing name Custom Debian Distribution
    was dropped after DebConf 8 and replaced by Debian Pure Blends -
    in short blends if the iDebian internal use is evident.  This
    reflects in a rename of the package and all the tools.
  * debian/copyright: new format

 -- Andreas Tille <tille@debian.org>  Sun, 04 Jan 2009 18:08:57 +0100

cdd (0.5.6) unstable; urgency=low

  * doc/Makefile: publish target now enables moving the docs to
    http://cdd.alioth.debian.org/cdd instead of
    people.debian.org/~tille/cdd
  * share/cdd/unixgroups/cdd-actions: Do not fail if there are
    NIS users on this machine.  These will just be ignored.
    Closes: #491680

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jul 2008 13:45:32 +0200

cdd (0.5.5) unstable; urgency=low

  * New task header Metapackage to make it possible to disable the
    generation of a binary package with dependencies (and only get a
    tasksel task).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Jul 2008 22:08:11 +0200

cdd (0.5.4) unstable; urgency=low

  * Added patch from Petter Reinholdtsen <pere@hungry.com> to enable
    Enhances feature for tasksel.
    Closes: #489811
  * Better Debconf template for user menus which avoids lintian warnings
    in CDD metapackages.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jul 2008 10:40:42 +0200

cdd (0.5.3) unstable; urgency=low

  * Avoid rsync to build dist target
    Closes: #488262
  * Standards-Version: 3.8.0 (no changes necessary)
  * Make use of dh_lintian to install overrides
  * Lintian prefers spelling "metapackage" over meta package
    on the other hand my dictionary claims metapackage wrong
    and votes for meta-package.  I used the lintian clean
    spelling suggestion but we need some agreement about a
    consistent spelling ...

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2008 13:29:11 +0200

cdd (0.5.2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Changed the Maintainer to Custom Debian Distribution Team
    ( s/List/Team/ )
  * Add myself as uploader.

  [ Andreas Tille ]
  * Debhelper (>= 6.0.7): Rationale: We are using dh_lintian which
    is only available from this version on.  This is actually not needed
    to build the cdd-common or cdd-dev package, but it makes perfectly
    sense to build with the same debhelper version as cdd-dev will
    finally depend from


=== debian/control ===
Source: blends
Priority: optional
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Andreas Tille <tille@debian.org>,
 Cosimo Alfarano <kalfa@debian.org>,
 José L. Redrejo Rodríguez <jredrejo@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: debiandoc-sgml, texlive-latex-base, texlive-latex-extra, 
 texlive-latex-recommended, texlive-fonts-recommended
Standards-Version: 3.8.3
Vcs-Browser: http://svn.debian.org/wsvn/blends/blends/trunk/blends/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/blends/blends/trunk/blends/

Package: blends-dev
Architecture: all
Section: devel
Depends: debconf (>= 0.5) | debconf-2.0, make | build-essential, apt,
 debhelper (>= 6.0.7)
Suggests: blends-doc
Description: Debian Pure Blends common files for developing metapackages
 This package makes life easier when packaging metapackages.  Perhaps
 this will also encourage other people to build metapackages if there are
 easy to use templates where only the packages, the metapackage is depending
 from, to insert into the right place.

Package: cdd-dev
Architecture: all
Section: devel
Depends: blends-dev
Description: Debian Pure Blends dummy package for upgrades from cdd-dev
 After renaming Custom Debian Distributions to Debian Pure Blends we
 have to make sure that upgrades work smoothly.  This package provides
 symlinks to all the tools of blends-dev with the old cdd names.

Package: blends-common
Architecture: all
Section: misc
Depends: adduser, menu (>= 2.1.25), debconf (>= 0.5) | debconf-2.0
Suggests: blends-doc
Description: Debian Pure Blends common package
 This package builds the basic infra structure for metapackages.
 .
 This package provides some files which are common to metapackages
 of Common Debian Distributions. It introduces a method to handle
 system users in a group named according to the name of the
 Debian Pure Blend.

Package: cdd-common
Architecture: all
Section: misc
Depends: blends-common
Description: Debian Pure Blends dummy package for upgrades from cdd-common
 After renaming Custom Debian Distributions to Debian Pure Blends we
 have to make sure that upgrades work smoothly.  This package provides
 symlinks to all the tools of blends-common with the old cdd names.

Package: blends-doc
Architecture: all
Section: doc
Suggests: www-browser, postscript-viewer
Provides: cdd-doc
Replaces: cdd-doc
Conflicts: cdd-doc
Description: Debian Pure Blends documentation
 This paper is intended to people who are interested in the philosophy
 of Debian Pure Blends and the technique which is used to
 manage those projects.
 .
 It is explained in detail why these are no forks from Debian but reside
 completely inside the Debian GNU/Linux distribution and which
 advantages can be gathered by this approach.  The concept of
 metapackages and user role based menus is explained.  In short: This
 document describes why Debian Pure Blends are important to
 the vitality and quality of Debian.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for blends
# This file is public domain software, originally written by Andreas Tille.

# $Id: rules 1751 2009-08-08 19:21:19Z tille $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg=blends
VERSION := $(shell grep '^blends *(.\+)' debian/changelog | head -n 1 | sed 's/^blends \+(\(.\+\)) .*/\1/' )
DISTDIR := $(pkg)-$(VERSION)

build: build-stamp
build-stamp:
	dh_testdir

	cd doc; $(MAKE) html; $(MAKE) txt; $(MAKE) pdf

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	cd doc; $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	# avoid installing doc directory for transitional packages
	dh_installchangelogs -p$(pkg)-dev -p$(pkg)-common -p$(pkg)-doc
	dh_installdocs       -p$(pkg)-dev -p$(pkg)-common -p$(pkg)-doc
	dh_installexamples
	dh_installman
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

dist:
	if [ ! -f debian/changelog ] ; then \
	    echo "File debian/changelog is missing. Something is wrong!" ; \
	    exit -1 ; \
	fi
	if [ "$(VERSION)" = "" ] ; then \
	    echo "Unable to obtain version number from debian/changelog. Something is wrong!" ; \
	    exit -1 ; \
	fi ;
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	chmod 777 $(DISTDIR)
	rsync -a --exclude $(DISTDIR) --exclude CVS --exclude .svn --exclude svn-commit.tmp * $(DISTDIR)
	ln -sf sources.list.unstable $(DISTDIR)/sources.list
	# ln -s control.stub $(DISTDIR)/examples/debian/control
	rm -f `find . -name "*~"`
	GZIP=-9 tar -czf ../$(pkg)_$(VERSION).tar.gz $(DISTDIR)
	rm -rf $(DISTDIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## blends 0.6.10ubuntu1

=== debian/changelog ===
blends (0.6.10ubuntu1) lucid; urgency=low

  * Merge with Debian (LP: #521455). Remaining changes:
    - Add sources.list.karmic and sources.list.lucid so blends ban be built
      for Ubuntu 9.10 and 10.04.
  * debian/control: Add ghostscript as build dependency to fix "ERROR: thumbnail
    images could not be generated properly" error.

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 13 Feb 2010 19:22:03 +0100

blends (0.6.10) unstable; urgency=low

  * rm debian/blends-dev.preinst = do not try to take over config
    files from cdd-dev to blends-dev and warn in NEWS.Debian about this
    Closes: #562854

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jan 2010 13:05:07 +0100

blends (0.6.9) unstable; urgency=low

  * Do not try to take over config files from /etc/cdd -
    it just leads to trouble and is not worth the effort
    because they are unchanged in most practical cases
    -> Remove debian/blends-common.preinst
  * Updated debian/blends-common.README.Debian
  * debian/control: Added ${misc:Depends} to all package
    dependencies

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jan 2010 19:23:04 +0100

blends (0.6.8ubuntu1) lucid; urgency=low

  * Merge from Debian Testing.  Remaining changes:
    - Add sources.list.karmic and sources.list.lucid so blends ban be built
      for Ubuntu 9.10 and 10.04

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 Dec 2009 00:30:56 -0500

blends (0.6.8) unstable; urgency=low

  * templates/config.postinst: Really fix the problem of missing
    config files which has leaded to #550140 and #553632
  * debian/blends-common.preinst: Do config file moving only
    if it was not yet done

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2009 11:59:52 +0100

blends (0.6.7ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Add sources.list.karmic and sources.list.lucid so blends ban be built
      for Ubuntu 9.10 and 10.04

 -- Scott Kitterman <scott@kitterman.com>  Sun, 29 Nov 2009 00:27:25 -0500

blends (0.6.7) unstable; urgency=low

  * Better documentation how to generate tasks pages
  * devtools/Makefile: Remove tasksel .desc and debian/control
    file in dist target to ensure that these will be created in
    any case
    Closes: #554261
  * devtools/rules: Do not remove the autogenerated files
    automatically in get-orig-source target because there are
    people who explicitly like to commit these to SVN
  * templates/config.postinst: Return true even if config file is
    missing.  In principle this should not happen, but there are
    two bug reports about this problem (#550140 and #553632) which
    will be fixed by this workaround.  Most probably this is a side
    effect from renaming.

 -- Andreas Tille <tille@debian.org>  Wed, 04 Nov 2009 22:25:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  José L. Redrejo Rodríguez <jredrejo@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: debiandoc-sgml, texlive-latex-base, texlive-latex-extra, 
+Build-Depends-Indep: debiandoc-sgml, ghostscript, texlive-latex-base, texlive-latex-extra, 
  texlive-latex-recommended, texlive-fonts-recommended
 Standards-Version: 3.8.3
 Vcs-Browser: http://svn.debian.org/wsvn/blends/blends/trunk/blends/?rev=0&sc=0
@@ -19,7 +19,7 @@
 Architecture: all
 Section: devel
 Depends: debconf (>= 0.5) | debconf-2.0, make | build-essential, apt,
- debhelper (>= 6.0.7)
+ debhelper (>= 7), ${misc:Depends}
 Suggests: blends-doc
 Description: Debian Pure Blends common files for developing metapackages
  This package makes life easier when packaging metapackages.  Perhaps
@@ -30,7 +30,7 @@
 Package: cdd-dev
 Architecture: all
 Section: devel
-Depends: blends-dev
+Depends: blends-dev, ${misc:Depends}
 Description: Debian Pure Blends dummy package for upgrades from cdd-dev
  After renaming Custom Debian Distributions to Debian Pure Blends we
  have to make sure that upgrades work smoothly.  This package provides
@@ -39,7 +39,7 @@
 Package: blends-common
 Architecture: all
 Section: misc
-Depends: adduser, menu (>= 2.1.25), debconf (>= 0.5) | debconf-2.0
+Depends: adduser, menu (>= 2.1.25), debconf (>= 0.5) | debconf-2.0, ${misc:Depends}
 Suggests: blends-doc
 Description: Debian Pure Blends common package
  This package builds the basic infra structure for metapackages.
@@ -52,7 +52,7 @@
 Package: cdd-common
 Architecture: all
 Section: misc
-Depends: blends-common
+Depends: blends-common, ${misc:Depends}
 Description: Debian Pure Blends dummy package for upgrades from cdd-common
  After renaming Custom Debian Distributions to Debian Pure Blends we
  have to make sure that upgrades work smoothly.  This package provides
@@ -61,6 +61,7 @@
 Package: blends-doc
 Architecture: all
 Section: doc
+Depends: ${misc:Depends}
 Suggests: www-browser, postscript-viewer
 Provides: cdd-doc
 Replaces: cdd-doc

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # debian/rules for blends
 # This file is public domain software, originally written by Andreas Tille.
 
-# $Id: rules 1751 2009-08-08 19:21:19Z tille $
+# $Id: rules 2028 2009-12-08 23:14:27Z tille $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

## blends 0.6.14ubuntu1

=== devtools/Makefile ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	rm -f tasks/*~
 	rm -rf tasksel
 	rm -f packages.txt by_vote packages-sorted.txt
+	rm -f debian/*-config.postinst debian/*-config.preinst
 
 distclean: clean
 
@@ -56,5 +57,6 @@
 	rm -f debian/control
 	rm -f $(BLEND)-tasks.desc
 
-dist: $(BLEND)-tasks.desc debian/control
+dist:
+	rm -f $(BLEND)-tasks.desc debian/control
 	make -f debian/rules get-orig-source

=== debian/changelog ===
blends (0.6.14ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #613318). Remaining changes:
    - Add sources.list.{karmic,lucid,maverick} so blends ban be built
      for Ubuntu.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 04 Aug 2010 11:41:01 +0530

blends (0.6.14) unstable; urgency=low

  * doc/en: Updated documentation about webtools
  * devtools/rules: Disable dh_auto_build which tries to
    regenerate debian/control but should not
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 03 Aug 2010 10:03:45 +0200

blends (0.6.13ubuntu1) maverick; urgency=low
 
  * Merge from Debian unstable. Remaining changes:
    - Add sources.list.karmic and sources.list.lucid so blends ban be built
      for Ubuntu 9.10 and 10.04.
  * Added sources.list.maverick
 
  -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 18 May 2010 19:30:16 +0000

blends (0.6.13) unstable; urgency=low

  * Do not use explicite PATH to blend-update-menus to avoid
    lintian warning in metapackages.

 -- Andreas Tille <tille@debian.org>  Sat, 20 Mar 2010 22:38:55 +0100

blends (0.6.12) unstable; urgency=low

  * Use prerm instead of postrm and verify existance of
    blends-common in this file to deal with problems like
    #574237, #574203, #574208

 -- Andreas Tille <tille@debian.org>  Wed, 17 Mar 2010 08:06:31 +0100

blends (0.6.11) unstable; urgency=low

  * Install NEWS.Debian files properly
  * Standards-Version: 3.8.4 (no changes needed)
  * Build-Depends: ghostscript (Thanks for the patch to
    Leo Iannacone <leo.iannacone@gmail.com>)
    Closes: #569802

 -- Andreas Tille <tille@debian.org>  Mon, 15 Feb 2010 08:40:54 +0100

## blends 0.6.15

=== debian/changelog ===
blends (0.6.15) unstable; urgency=low

  * Documentation changes:
    - doc/en: Update about existing Blends
    - examples/control.stub:
      + Updated debhelper version, Standards-Version
      + Removed two useless lines at the end
  * devtools/rules: ignore .git directories when creating orig.tar.gz
  * templates/{postinst,prerm}: use /bin/sh instead of /bin/bash to
    be sure that the requested shell is really available (there is
    no explicite bash dependency enforced
  * templates/postrm: Provide code for failed-upgrade to enable
    smooth upgrades from Lenny
  * templates/preinst: Provide this template for completeness
  * devtools/{rules,Makefile}: clean targets will remove also postrm
    and preinst if existant

 -- Andreas Tille <tille@debian.org>  Wed, 10 Nov 2010 20:32:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: blends
 Priority: optional
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
  Andreas Tille <tille@debian.org>,
  Cosimo Alfarano <kalfa@debian.org>,
  José L. Redrejo Rodríguez <jredrejo@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: debiandoc-sgml, ghostscript, texlive-latex-base, texlive-latex-extra, 
- texlive-latex-recommended, texlive-fonts-recommended
-Standards-Version: 3.8.3
+Build-Depends-Indep: debiandoc-sgml, texlive-latex-base, texlive-latex-extra, 
+ texlive-latex-recommended, texlive-fonts-recommended, ghostscript
+Standards-Version: 3.9.1
 Vcs-Browser: http://svn.debian.org/wsvn/blends/blends/trunk/blends/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/blends/blends/trunk/blends/

## blends 0.6.15ubuntu1

=== debian/changelog ===
blends (0.6.15ubuntu1) natty; urgency=low

  * Merge from Debian unstable (LP: #674428). Remaining changes:
    - Add sources.list.{karmic,lucid,maverick} so blends ban be built
      for Ubuntu.
  * Add sources.list.natty so blends can be built for Ubuntu

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 14 Nov 2010 14:28:09 +0100

## blends 0.6.15ubuntu2

=== doc/Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for debiandoc-sgml-doc
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## Document definitions
doc_lang	:= en
doc_name	:= debian-blends
doc_sgml	:= $(doc_name).$(doc_lang).sgml
doc_pdf		:= $(doc_name).$(doc_lang).pdf
doc_ps		:= $(doc_name).$(doc_lang).ps
doc_dvi		:= $(doc_name).$(doc_lang).dvi
doc_txt		:= $(doc_name).$(doc_lang).txt
doc_info	:= $(doc_name).$(doc_lang).info
doc_html	:= $(doc_name).html
pkg             := blends-doc

## ----------------------------------------------------------------------
## Package definitions
pkg_lang	:= en

## ----------------------------------------------------------------------
## General definitions
LN		:= /bin/ln -sf
RMR		:= /bin/rm -fr
LOCALE          := unset LC_ALL; unset LANG; unset LANGUAGE; 

## ----------------------------------------------------------------------
# this can and will be overriden by a higher level makefile
PUBLISHDIR := alioth.debian.org:/srv/alioth.debian.org/chroot/home/groups/blends/htdocs/blends

# There is no difference between letter and a4, but a2 for instance works
PAPERSIZE  := letter

## ----------------------------------------------------------------------
## Targets
all:		html

validate: 	$(doc_sgml)
	# nsgmls -ges -wall $(doc_sgml)
		nsgmls -wall -E20 -gues $^

html $(doc_html): $(doc_sgml)
		$(LOCALE) debiandoc2html -l $(doc_lang) -b $(doc_name) -c $^
		$(LN) index.$(pkg_lang).html $(doc_html)/index.html

txt $(doc_txt): $(doc_sgml)
		debiandoc2text -l $(doc_lang) $^

ps $(doc_ps): 	$(doc_sgml)
		debiandoc2latexps  -l $(doc_lang) -p$(PAPERSIZE) $^

pdf $(doc_pdf): $(doc_sgml)
		$(LOCALE) debiandoc2latexpdf -l $(doc_lang) -p$(PAPERSIZE) $^
		$(RMR) $(doc_name).$(doc_lang).tpt

dvi $(doc_dvi): $(doc_sgml)
		debiandoc2latexdvi -l $(doc_lang) -p$(PAPERSIZE) $^
		$(RMR) $(doc_name).$(doc_lang).out

info $(doc_info): $(doc_sgml)
		debiandoc2info -l $(doc_lang) $^

publish: 	html pdf
		rsync -azult --delete $(doc_html)/* $(PUBLISHDIR)
		[ -s debian-blends.en.pdf ] && rsync -azult $(doc_pdf) $(PUBLISHDIR)

clean:
		$(RMR) $(doc_html) $(doc_pdf) $(doc_txt) $(doc_ps) $(doc_dvi) $(doc_info)
		$(RMR) $(doc_name).$(doc_lang).tpt $(doc_name).$(doc_lang).out
		find . -name "*~" -exec $(RMR) \{\} \;

distclean:
		make clean

.PHONY: all publish clean distclean validate

=== debian/changelog ===
blends (0.6.15ubuntu2) precise; urgency=low

  * Added sources.list.{oneiric,precise} so that blends can be built
    on all Ubuntu releases.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Dec 2011 11:33:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: blends
 Priority: optional
 Section: devel
-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
  Andreas Tille <tille@debian.org>,
  Cosimo Alfarano <kalfa@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules for blends
 # This file is public domain software, originally written by Andreas Tille.
-
-# $Id: rules 2028 2009-12-08 23:14:27Z tille $
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -42,6 +40,9 @@
 	# avoid installing doc directory for transitional packages
 	dh_installchangelogs -p$(pkg)-dev -p$(pkg)-common -p$(pkg)-doc
 	dh_installdocs       -p$(pkg)-dev -p$(pkg)-common -p$(pkg)-doc
+	for pkgnews in $(pkg)-common $(pkg)-dev ; do \
+	    cp -a debian/$$pkgnews.NEWS.Debian debian/$$pkgnews/usr/share/doc/$$pkgnews/NEWS.Debian ; \
+	done
 	dh_installexamples
 	dh_installman
 	dh_lintian

## blends 0.6.15ubuntu3

=== debian/changelog ===
blends (0.6.15ubuntu3) quantal; urgency=low

  * Add sources.list.quantal

 -- Michael Terry <mterry@ubuntu.com>  Tue, 03 Jul 2012 00:01:04 -0400

## blends 0.6.16.2

=== debian/changelog ===
blends (0.6.16.2) unstable; urgency=low

  * Install tasksel desc file to new location since version 3.00 of tasksel
    (thanks to Petter Reinholdtsen <pere@hungry.com> for the patch)
    Closes: #694896

 -- Andreas Tille <tille@debian.org>  Tue, 04 Dec 2012 11:00:45 +0100

blends (0.6.16.1) unstable; urgency=low

  * Revert bumping of debhelper and Standards-Version to match the
    status of 0.6.15 and thus comply with freeze policy
  * The fix to the sources.list* files to add the missing debian/ dirs
    is now documented in BTS and this changelog entry
    Closes: #693864

 -- Andreas Tille <tille@debian.org>  Wed, 21 Nov 2012 08:51:11 +0100

blends (0.6.16) unstable; urgency=low

  * Enhanced doc
  * sources.list/*: Add the missing debian/ dirs
  * debian/control:
     - Standards-Version: 3.9.3
     - Vcs-Fields now point to Git
  * Debhelper 9 (control+compat)
  * Drop transitional cdd-* packages completely
    Closes: #692946
  * DEP5 formated copyright while checking this in connection to
    bug #692946

 -- Andreas Tille <tille@debian.org>  Fri, 16 Nov 2012 14:31:49 +0100

=== debian/control ===
Source: blends
Priority: optional
Section: devel
Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Andreas Tille <tille@debian.org>,
 Cosimo Alfarano <kalfa@debian.org>,
 José L. Redrejo Rodríguez <jredrejo@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: debiandoc-sgml, texlive-latex-base, texlive-latex-extra, 
 texlive-latex-recommended, texlive-fonts-recommended, ghostscript
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=blends/blends.git
Vcs-Git: git://git.debian.org/git/blends/blends.git

Package: blends-dev
Architecture: all
Section: devel
Depends: debconf (>= 0.5) | debconf-2.0, make | build-essential, apt,
 debhelper (>= 7), ${misc:Depends}
Suggests: blends-doc
Replaces: cdd-dev
Description: Debian Pure Blends common files for developing metapackages
 This package makes life easier when packaging metapackages.  Perhaps
 this will also encourage other people to build metapackages if there are
 easy to use templates where only the packages, the metapackage is depending
 from, to insert into the right place.

Package: blends-common
Architecture: all
Section: misc
Depends: adduser, menu (>= 2.1.25), debconf (>= 0.5) | debconf-2.0, ${misc:Depends}
Suggests: blends-doc
Description: Debian Pure Blends common package
 This package builds the basic infra structure for metapackages.
 .
 This package provides some files which are common to metapackages
 of Common Debian Distributions. It introduces a method to handle
 system users in a group named according to the name of the
 Debian Pure Blend.

Package: blends-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: www-browser, postscript-viewer
Replaces: cdd-doc
Description: Debian Pure Blends documentation
 This paper is intended to people who are interested in the philosophy
 of Debian Pure Blends and the technique which is used to
 manage those projects.
 .
 It is explained in detail why these are no forks from Debian but reside
 completely inside the Debian GNU/Linux distribution and which
 advantages can be gathered by this approach.  The concept of
 metapackages and user role based menus is explained.  In short: This
 document describes why Debian Pure Blends are important to
 the vitality and quality of Debian.

## blends 0.6.16.2ubuntu1

=== debian/changelog ===
blends (0.6.16.2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add sources.list.{karmic,lucid,maverick,natty,oneiric,precise,quantal,raring}
      so blends can be built for Ubuntu. 

 -- Vibhav Pant <vibhavp@ubuntu.com>  Sat, 15 Dec 2012 16:39:55 +0530

blends (0.6.16.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add sources.list.{karmic,lucid,maverick,natty,oneiric,precise,quantal}
      so blends can be built for Ubuntu.
  * Add sources.list.raring.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 02 Dec 2012 15:23:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: blends
 Priority: optional
 Section: devel
-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
  Andreas Tille <tille@debian.org>,
  Cosimo Alfarano <kalfa@debian.org>,

## blends 0.6.16.4ubuntu1

=== debian/changelog ===
blends (0.6.16.4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add sources.list.{karmic,lucid,maverick,natty,oneiric,precise,quantal,
      raring} so blends can be built for Ubuntu.
  * Add sources.list.saucy.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 23 May 2013 01:22:16 -0400

blends (0.6.16.4) unstable; urgency=low

  * devtools/blend-gen-control: Apply patch from Felipe Sateler
    <fsateler@debian.org> (thanks Felipe!) to separate package
    dependencies with a newline
    Closes: #709057

 -- Andreas Tille <tille@debian.org>  Tue, 21 May 2013 23:39:39 +0200

blends (0.6.16.3) unstable; urgency=low

  * devtools/rules: Better way to obtain version string
  * do not create preinst and postrm scripts any more because
    preinst is unneeded since Lenny and postrm was only introduced
    for completeness but never used
    Closes: #708820, #708879
  * templates/{preinst,postrm}: Removed because unneeded
  * debian/control
     - Standards-Version: 3.9.4 (no changes needed)
     - Debhelper 9 (also d/compat)
     - Removed duplicated Section: devel
     - normalised format
     - blends-dev also required debhelper version 9
  * debian/rules:
     - use dpkg-parsechangelog to obtain pkg name and version
     - use short dh syntax
  * debian/source/format: 3.0 (native)
  * debian/examples: also require debhelper 9 + latest blends-dev

 -- Andreas Tille <tille@debian.org>  Mon, 20 May 2013 10:10:53 +0200

## blends 0.6.16.4ubuntu2

=== doc/Makefile ===
--- 
+++ 
@@ -27,8 +27,7 @@
 
 ## ----------------------------------------------------------------------
 # this can and will be overriden by a higher level makefile
-PUBLISHDIR := alioth.debian.org:/srv/alioth.debian.org/chroot/home/groups/blends/htdocs/blends
-
+PUBLISHDIR := alioth.debian.org:/srv/home/groups/blends/htdocs/blends
 # There is no difference between letter and a4, but a2 for instance works
 PAPERSIZE  := letter

=== debian/changelog ===
blends (0.6.16.4ubuntu2) trusty; urgency=low

  * Add sources.list.trusty. 

 -- James Page <james.page@ubuntu.com>  Tue, 12 Nov 2013 12:13:21 +0000

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,28 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
- Andreas Tille <tille@debian.org>,
- Cosimo Alfarano <kalfa@debian.org>,
- José L. Redrejo Rodríguez <jredrejo@debian.org>,
- Jonas Smedegaard <dr@jones.dk>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: debiandoc-sgml, texlive-latex-base, texlive-latex-extra, 
- texlive-latex-recommended, texlive-fonts-recommended, ghostscript
-Standards-Version: 3.9.1
+           Andreas Tille <tille@debian.org>,
+           Cosimo Alfarano <kalfa@debian.org>,
+           José L. Redrejo Rodríguez <jredrejo@debian.org>,
+           Jonas Smedegaard <dr@jones.dk>
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: debiandoc-sgml,
+                     texlive-latex-base,
+                     texlive-latex-extra, 
+                     texlive-latex-recommended,
+                     texlive-fonts-recommended,
+                     ghostscript
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=blends/blends.git
 Vcs-Git: git://git.debian.org/git/blends/blends.git
 
 Package: blends-dev
 Architecture: all
-Section: devel
-Depends: debconf (>= 0.5) | debconf-2.0, make | build-essential, apt,
- debhelper (>= 7), ${misc:Depends}
+Depends: debconf (>= 0.5) | debconf-2.0,
+         make | build-essential,
+         apt,
+         debhelper (>= 9),
+         ${misc:Depends}
 Suggests: blends-doc
 Replaces: cdd-dev
 Description: Debian Pure Blends common files for developing metapackages
@@ -31,7 +37,10 @@
 Package: blends-common
 Architecture: all
 Section: misc
-Depends: adduser, menu (>= 2.1.25), debconf (>= 0.5) | debconf-2.0, ${misc:Depends}
+Depends: adduser,
+         menu (>= 2.1.25),
+         debconf (>= 0.5) | debconf-2.0,
+         ${misc:Depends}
 Suggests: blends-doc
 Description: Debian Pure Blends common package
  This package builds the basic infra structure for metapackages.
@@ -45,7 +54,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: www-browser, postscript-viewer
+Suggests: www-browser,
+          postscript-viewer
 Replaces: cdd-doc
 Description: Debian Pure Blends documentation
  This paper is intended to people who are interested in the philosophy

## blends 0.6.92.1ubuntu1

=== debian/changelog ===
blends (0.6.92.1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add sources.list.{lucid,precise,trusty} so blends can be built for
      Ubuntu.
  * Add sources.list.utopic.
  * Remove sources.list files for unsupported Ubuntu releases.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 20 Aug 2014 03:08:10 -0400

blends (0.6.92.1) unstable; urgency=medium

  * Fix typo: s/Section: metapackage/&s/
  * Reformat debian/*.NEWS

 -- Andreas Tille <tille@debian.org>  Fri, 01 Aug 2014 08:14:08 +0200

blends (0.6.92) unstable; urgency=medium

  [ Andreas Tille ]
  * Updated doc
  * Force explicitly "Section: metapackage" to the metapackages except
    if something else than 'misc' was set.  For the reason of this change
    please see bug #720199
  * Reformat NEWS.Debian entry

  [ Franklin Weng ]
  * Added EzGo as existing Blend
  * Better documentation for non-metapackages

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jul 2014 09:59:12 +0200

blends (0.6.91ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add sources.list.{karmic,lucid,maverick,natty,oneiric,precise,quantal,raring,saucy,trusty}
      so blends can be built for Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 26 Apr 2014 21:22:00 -0400

blends (0.6.91) unstable; urgency=low

  [ Emmanouil Kiagias ]
  * Documentation converted to XML

  [ Andreas Tille ]
  * debian/control: Adapt Build-Depends to XML version of docs
  * debtools/rules: Do not remove postinst scripts which are not
    autogenerated
  * cme fix dpkg-control:
     - Unversioned dependency from debconf and menu
     - Standatde-Version: 3.9.5
     - Canonical Vcs URLs
     - Drop Linux from "Debian Linux"

 -- Andreas Tille <tille@debian.org>  Wed, 26 Mar 2014 08:07:45 +0100

## blends 0.6.92.2

=== doc/Makefile ===
## ----------------------------------------------------------------------
## Makefile : makefile for docbook-xml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## Document definitions
doc_lang	:= en
doc_name	:= debian-blends
doc_xml	:= $(shell for l in $(doc_lang); do echo $(doc_name).$$l.xml; done)
sources := $(shell find . -name "*.xml")
doc_pdf	:= $(shell for l in $(doc_lang); do echo $$l/pdf/$(doc_name).$$l.pdf; done)
doc_ps	:= $(shell for l in $(doc_lang); do echo $$l/ps/$(doc_name).$$l.ps; done)
doc_dvi	:= $(shell for l in $(doc_lang); do echo $$l/dvi/$(doc_name).$$l.dvi; done)

doc_txt	:= $(shell for l in $(doc_lang); do echo $$l/txt/$(doc_name).$$l.txt; done)
#this needed cause xmlto txt does not include section numbering by default
doc_txt_params := --stringparam section.autolabel=1 --stringparam section.label.includes.component.label=1

doc_html := $(shell for l in $(doc_lang); do echo $$l/html/index.html; done)
pkg      := blends-doc

doc_html_en := en/html
doc_pdf_en  := en/pdf/debian-blends.en.pdf

## ----------------------------------------------------------------------
## General definitions
LN		:= /bin/ln -sf
RMR		:= /bin/rm -fr
LOCALE          := unset LC_ALL; unset LANG; unset LANGUAGE; 

## ----------------------------------------------------------------------
# this can and will be overriden by a higher level makefile
PUBLISHHOST ?= dillon.debian.org
# PUBLISHDIR := alioth.debian.org:/srv/alioth.debian.org/chroot/home/groups/blends/htdocs/blends
PUBLISHDIR := $(PUBLISHHOST):/srv/blends.debian.org/www/blends

# There is no difference between letter and a4, but a2 for instance works
PAPERSIZE  := a4

## ----------------------------------------------------------------------
## Targets
all:		html

validate: $(doc_xml)
	for f in $(doc_xml); do \
	  xmllint --valid --noout $$f; \
	done

html: $(doc_html)

$(doc_html) $(doc_html_en): $(doc_xml) $(sources)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/html; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto -o $$d -x $(doc_name).xsl html $$f; \
	done

txt $(doc_txt): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/txt; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto $(doc_txt_params) -o $$d txt $$f; \
	done

ps $(doc_ps): 	$(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/ps; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto -o $$d --with-dblatex ps $$f; \
	done


pdf $(doc_pdf): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/pdf; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto -o $$d --with-dblatex pdf $$f; \
	done


dvi $(doc_dvi): $(doc_xml)
	for l in $(doc_lang); do \
	  f=$(doc_name).$$l.xml; d=$$l/dvi; \
	  mkdir -p $$d; \
	  $(LOCALE) xmlto -o $$d --with-dblatex dvi $$f; \
	done


publish: $(doc_html_en) $(doc_pdf_en)
	rsync -azult --delete $(doc_html_en)/*.html $(PUBLISHDIR)
	rsync -azult $(doc_pdf_en) $(PUBLISHDIR)
	# sync to mirrors
	ssh $(PUBLISHHOST) "/usr/local/bin/static-update-component blends.debian.org"

clean:
	for l in $(doc_lang); do \
	  for d in html pdf txt ps dvi info; do \
	    $(RMR) $$l/$$d; \
	  done; \
	done
	find . -name "*~" -exec $(RMR) {} \;

distclean:
		make clean

.PHONY: all publish clean distclean validate

=== debian/changelog ===
blends (0.6.92.2) unstable; urgency=medium

  * devtools/blend-gen-control: Prevent respecting users sources.list.d dir
    Closes: #768011

 -- Andreas Tille <tille@debian.org>  Mon, 03 Nov 2014 11:28:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: blends
-Priority: optional
-Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Andreas Tille <tille@debian.org>,
            Cosimo Alfarano <kalfa@debian.org>,
            José L. Redrejo Rodríguez <jredrejo@debian.org>,
-           Jonas Smedegaard <dr@jones.dk>
+           Jonas Smedegaard <dr@jones.dk>,
+           Emmanouil Kiagias <e.kiagias@gmail.com>
+Section: devel
+Priority: optional
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: debiandoc-sgml,
-                     texlive-latex-base,
-                     texlive-latex-extra, 
-                     texlive-latex-recommended,
-                     texlive-fonts-recommended,
-                     ghostscript
-Standards-Version: 3.9.4
-Vcs-Browser: http://git.debian.org/?p=blends/blends.git
-Vcs-Git: git://git.debian.org/git/blends/blends.git
+Build-Depends-Indep: xmlto,
+                     dblatex,
+                     w3m
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=blends/blends.git
+Vcs-Git: git://anonscm.debian.org/blends/blends.git
 
 Package: blends-dev
 Architecture: all
-Depends: debconf (>= 0.5) | debconf-2.0,
+Depends: debconf,
          make | build-essential,
-         apt,
          debhelper (>= 9),
          ${misc:Depends}
 Suggests: blends-doc
@@ -38,8 +34,8 @@
 Architecture: all
 Section: misc
 Depends: adduser,
-         menu (>= 2.1.25),
-         debconf (>= 0.5) | debconf-2.0,
+         menu,
+         debconf,
          ${misc:Depends}
 Suggests: blends-doc
 Description: Debian Pure Blends common package
@@ -63,7 +59,7 @@
  manage those projects.
  .
  It is explained in detail why these are no forks from Debian but reside
- completely inside the Debian GNU/Linux distribution and which
+ completely inside the Debian GNU distribution and which
  advantages can be gathered by this approach.  The concept of
  metapackages and user role based menus is explained.  In short: This
  document describes why Debian Pure Blends are important to

## blends 0.6.92.2ubuntu1

=== debian/changelog ===
blends (0.6.92.2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add sources.list.{lucid,precise,trusty,utopic,vivid} so blends can 
      be built for Ubuntu.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 15 Nov 2014 10:23:46 +0530

blends (0.6.92.1ubuntu2) vivid; urgency=medium

  * Add sources.list.vivid.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 23 Oct 2014 20:53:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: blends
-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Pure Blend Team <debian-blends@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Andreas Tille <tille@debian.org>,
            Cosimo Alfarano <kalfa@debian.org>,

## blends 0.6.92.3ubuntu1

=== debian/changelog ===
blends (0.6.92.3ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add sources.list.{precise,trusty,utopic,vivid,wily} so blends can be
      built for Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 02 Jul 2015 21:52:51 -0700

blends (0.6.92.3) unstable; urgency=medium

  * document that the task files follow RFC 822 format (thanks for the
    patch to Markus Koschany <apo@gambaru.de>)
    Closes: #764591
  * Fix bashism
    Closes: #772186
  * fix prerm file causes lintian warnings  (thanks for the patch to
    Markus Koschany <apo@gambaru.de>)
    Closes: #779212
  * Document further resources
    Closes: #783240
  * xmlto failed without --skip-validation - any help to fix XML is welcome
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jul 2015 17:49:27 +0200

blends (0.6.92.2+exp) experimental; urgency=medium

  * templates/profile.sh: Enable users to specify a Blend name in ~/.blends
    and prepend an according path to PATH
  * devtools/blend-install-helper: Install profile.d script to enable adjusting
    PATH for Blend users

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jan 2015 14:14:03 +0100

blends (0.6.92.2ubuntu2) wily; urgency=medium

  * Add sources.list.wily and remove sources.list.lucid.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 09 May 2015 20:39:39 +0100
